SuperLU: EXAMPLE/zitersol.c File Reference

SuperLU 5.3.0

Functions | Variables
zitersol.c File Reference

Example #1 showing how to use ILU to precondition GMRES. More...

`#include "slu_zdefs.h"`
Include dependency graph for zitersol.c:

## Functions
void | zpsolve (int n, doublecomplex x[], doublecomplex y[])
void | zmatvec_mult (doublecomplex alpha, doublecomplex x[], doublecomplex beta, doublecomplex y[])
int | main (int argc, char *argv[])

## Variables
superlu_options_t * | GLOBAL_OPTIONS
double * | GLOBAL_R
double * | GLOBAL_C
int * | GLOBAL_PERM_C
int * | GLOBAL_PERM_R
SuperMatrix * | GLOBAL_A
SuperMatrix * | GLOBAL_L
SuperMatrix * | GLOBAL_U
SuperLUStat_t * | GLOBAL_STAT
mem_usage_t * | GLOBAL_MEM_USAGE

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 5.0) --
    Lawrence Berkeley National Laboratory
    November, 2010
    August, 2011

    This example shows that ILU is computed from the equilibrated matrix,
    and the preconditioned GMRES is applied to the equilibrated system.
    The driver routine ZGSISX is called twice to perform factorization
    and apply preconditioner separately.

    Note that ZGSISX performs the following factorization:
        Pr*Dr*A*Dc*Pc^T ~= LU
    with Pr being obtained from MC64 statically then partial pivoting
    dynamically. On return, A is overwritten as A1 = Dr*A*Dc.

    We can solve the transformed system, A1*y = Dr*B, using FGMRES.
    B is first overwritten as Dr*B.
    Then GMRES step requires requires 2 procedures:
      1) Apply preconditioner M^{-1} = Pc^T*U^{-1}*L^{-1}*Pr
      2) Matrix-vector multiplication: w = A1*v

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Here is the call graph for this function:

## ◆ zmatvec_mult()

void zmatvec_mult | ( | doublecomplex | alpha,
|  | doublecomplex | x[],
|  | doublecomplex | beta,
|  | doublecomplex | y[]
| ) |  |

Here is the call graph for this function:

## ◆ zpsolve()

void zpsolve | ( | int | n,
|  | doublecomplex | x[],
|  | doublecomplex | y[]
| ) |  |

Here is the call graph for this function:

## Variable Documentation

## ◆ GLOBAL_A

SuperMatrix* GLOBAL_A

## ◆ GLOBAL_C

double * GLOBAL_C

## ◆ GLOBAL_L

SuperMatrix * GLOBAL_L

## ◆ GLOBAL_MEM_USAGE

mem_usage_t* GLOBAL_MEM_USAGE

## ◆ GLOBAL_OPTIONS

superlu_options_t* GLOBAL_OPTIONS

## ◆ GLOBAL_PERM_C

int* GLOBAL_PERM_C

## ◆ GLOBAL_PERM_R

int * GLOBAL_PERM_R

## ◆ GLOBAL_R

double* GLOBAL_R

## ◆ GLOBAL_STAT

SuperLUStat_t* GLOBAL_STAT

## ◆ GLOBAL_U

SuperMatrix * GLOBAL_U